Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class ResultSetWrapperImpl

    java.lang.Object
      org.hibernate.engine.jdbc.internal.ResultSetWrapperImpl

All Implemented Interfaces:
  ResultSetWrapper

    public class ResultSetWrapperImpl

extends Object
implements ResultSetWrapper

Standard Hibernate implementation for wrapping a `ResultSet` in a " column name cache" wrapper.

Field Summary
`static ResultSetWrapper` | `INSTANCE`

Method Summary
`ResultSet` | `wrap(ResultSet resultSet, ColumnNameCache columnNameCache)` Wrap a result set in a "column name cache" wrapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static ResultSetWrapper INSTANCE

Method Detail

### wrap

    public ResultSet wrap(ResultSet resultSet,
                          ColumnNameCache columnNameCache)

  Wrap a result set in a "column name cache" wrapper.

  Specified by:
    `wrap` in interface `ResultSetWrapper`
  Parameters:
    `resultSet` - The result set to wrap
    `columnNameCache` - The column name cache.
  Returns:
    The wrapped result set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.